| Kea 3.0.2-git

parser.h File Reference

Define the isc::eval::parser class. More...

`#include <string>`
`#include <eval/token.h>`
`#include <eval/eval_context_decl.h>`
`#include <dhcp/option.h>`
`#include <boost/lexical_cast.hpp>`
`#include <cassert>`
`#include <cstdlib>`
`#include <iostream>`
`#include <stdexcept>`
`#include <vector>`
`#include "location.hh"`
`#include <typeinfo>`
Include dependency graph for parser.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | isc::eval::EvalParser::basic_symbol< Base >
| A complete symbol. More...
struct | isc::eval::EvalParser::by_kind
| Type access provider for token (enum) based symbols. More...
class | isc::eval::EvalParser::context
class | isc::eval::EvalParser
| A Bison parser. More...
class | isc::eval::EvalParser::stack< T, S >::slice
| Present a slice of the top of a stack. More...
struct | isc::eval::EvalParser::symbol_kind
| Symbol kinds. More...
struct | isc::eval::EvalParser::symbol_type
| "External" symbols: returned by the scanner. More...
struct | isc::eval::EvalParser::syntax_error
| Syntax errors thrown from user actions. More...
struct | isc::eval::EvalParser::token
| Token kinds. More...
class | isc::eval::EvalParser::value_type
| A buffer to store and retrieve objects. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::eval

## Macros
#define | EVAL_ASSERT assert
#define | EVALDEBUG 1
#define | YY_ATTRIBUTE_PURE
#define | YY_ATTRIBUTE_UNUSED
#define | YY_CAST(Type, Val)
#define | YY_CONSTEXPR
#define | YY_COPY(Type)
#define | YY_CPLUSPLUS 199711L
#define | YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
#define | YY_IGNORE_MAYBE_UNINITIALIZED_END
#define | YY_IGNORE_USELESS_CAST_BEGIN
#define | YY_IGNORE_USELESS_CAST_END
#define | YY_INITIAL_VALUE(Value)
#define | YY_MOVE
#define | YY_MOVE_OR_COPY copy
#define | YY_MOVE_REF(Type)
#define | YY_NOEXCEPT
#define | YY_NOTHROW throw ()
#define | YY_REINTERPRET_CAST(Type, Val)
#define | YY_RVREF(Type)
#define | YY_USE(E)

## Detailed Description

Define the isc::eval::parser class.

Definition in file parser.h.

## Macro Definition Documentation

## ◆ EVAL_ASSERT

#define EVAL_ASSERT assert

Definition at line 108 of file parser.h.

Referenced by isc::eval::EvalParser::symbol_type::symbol_type(), isc::eval::EvalParser::symbol_type::symbol_type(), isc::eval::EvalParser::value_type::value_type(), isc::eval::EvalParser::value_type::~value_type(), isc::eval::EvalParser::value_type::as(), isc::eval::EvalParser::value_type::as(), isc::eval::EvalParser::value_type::emplace(), isc::eval::EvalParser::value_type::emplace(), and isc::eval::EvalParser::value_type::swap().

## ◆ EVALDEBUG

#define EVALDEBUG 1

Definition at line 202 of file parser.h.

## ◆ YY_ATTRIBUTE_PURE

#define YY_ATTRIBUTE_PURE

Definition at line 116 of file parser.h.

## ◆ YY_ATTRIBUTE_UNUSED

#define YY_ATTRIBUTE_UNUSED

Definition at line 124 of file parser.h.

## ◆ YY_CAST

#define YY_CAST | ( |  | Type,
|  |  | Val )

Value:
((Type) (Val))

Definition at line 177 of file parser.h.

## ◆ YY_CONSTEXPR

#define YY_CONSTEXPR

Definition at line 102 of file parser.h.

## ◆ YY_COPY

#define YY_COPY | ( |  | Type | ) |

Value:
const Type&

Definition at line 86 of file parser.h.

## ◆ YY_CPLUSPLUS

#define YY_CPLUSPLUS 199711L

Definition at line 71 of file parser.h.

## ◆ YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN

#define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN

Definition at line 153 of file parser.h.

## ◆ YY_IGNORE_MAYBE_UNINITIALIZED_END

#define YY_IGNORE_MAYBE_UNINITIALIZED_END

Definition at line 154 of file parser.h.

## ◆ YY_IGNORE_USELESS_CAST_BEGIN

#define YY_IGNORE_USELESS_CAST_BEGIN

Definition at line 168 of file parser.h.

## ◆ YY_IGNORE_USELESS_CAST_END

#define YY_IGNORE_USELESS_CAST_END

Definition at line 169 of file parser.h.

## ◆ YY_INITIAL_VALUE

#define YY_INITIAL_VALUE | ( |  | Value | ) |

Value:
Value

Definition at line 150 of file parser.h.

## ◆ YY_MOVE

#define YY_MOVE

Definition at line 82 of file parser.h.

## ◆ YY_MOVE_OR_COPY

#define YY_MOVE_OR_COPY copy

Definition at line 83 of file parser.h.

## ◆ YY_MOVE_REF

#define YY_MOVE_REF | ( |  | Type | ) |

Value:
Type&

Definition at line 84 of file parser.h.

## ◆ YY_NOEXCEPT

#define YY_NOEXCEPT

Definition at line 94 of file parser.h.

## ◆ YY_NOTHROW

#define YY_NOTHROW throw ()

Definition at line 95 of file parser.h.

## ◆ YY_REINTERPRET_CAST

#define YY_REINTERPRET_CAST | ( |  | Type,
|  |  | Val )

Value:
((Type) (Val))

Definition at line 178 of file parser.h.

## ◆ YY_RVREF

#define YY_RVREF | ( |  | Type | ) |

Value:
const Type&

Definition at line 85 of file parser.h.

## ◆ YY_USE

#define YY_USE | ( |  | E | ) |

Value:
((void) (E))

Definition at line 130 of file parser.h.